Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.KeyHandler

    java.lang.Object
      java.awt.event.KeyAdapter
          javax.swing.plaf.basic.BasicTreeUI.KeyHandler

All Implemented Interfaces:
  KeyListener, EventListener

Enclosing class:
  BasicTreeUI

    public class BasicTreeUI.KeyHandler

extends KeyAdapter

This is used to get mutliple key down events to appropriately generate events.

Field Summary
`protected boolean` | `isKeyDown` Set to true while keyPressed is active.
`protected Action` | `repeatKeyAction` Key code that is being generated for.

Constructor Summary
`BasicTreeUI.KeyHandler()`

Method Summary
`void` | `keyPressed(KeyEvent e)` Invoked when a key has been pressed.
`void` | `keyReleased(KeyEvent e)` Invoked when a key has been released.
`void` | `keyTyped(KeyEvent e)` Invoked when a key has been typed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### repeatKeyAction

    protected Action repeatKeyAction

  Key code that is being generated for.

### isKeyDown

    protected boolean isKeyDown

  Set to true while keyPressed is active.

Constructor Detail

### BasicTreeUI.KeyHandler

    public BasicTreeUI.KeyHandler()

Method Detail

### keyTyped

    public void keyTyped(KeyEvent e)

  Invoked when a key has been typed. Moves the keyboard focus to the first element whose first letter matches the alphanumeric key pressed by the user. Subsequent same key presses move the keyboard focus to the next object that starts with the same letter.

  Specified by:
    `keyTyped` in interface `KeyListener`
  Overrides:
    `keyTyped` in class `KeyAdapter`

### keyPressed

    public void keyPressed(KeyEvent e)

  Description copied from class: `KeyAdapter`
  Invoked when a key has been pressed.

  Specified by:
    `keyPressed` in interface `KeyListener`
  Overrides:
    `keyPressed` in class `KeyAdapter`

### keyReleased

    public void keyReleased(KeyEvent e)

  Description copied from class: `KeyAdapter`
  Invoked when a key has been released.

  Specified by:
    `keyReleased` in interface `KeyListener`
  Overrides:
    `keyReleased` in class `KeyAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.